// Code generated by protoc-gen-go. DO NOT EDIT.
// source: block_query.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type BlockRequest struct {
	ForceHash            string   `protobuf:"bytes,1,opt,name=ForceHash,proto3" json:"ForceHash,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BlockRequest) Reset()         { *m = BlockRequest{} }
func (m *BlockRequest) String() string { return proto.CompactTextString(m) }
func (*BlockRequest) ProtoMessage()    {}
func (*BlockRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b18e8782a71b262f, []int{0}
}

func (m *BlockRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BlockRequest.Unmarshal(m, b)
}
func (m *BlockRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BlockRequest.Marshal(b, m, deterministic)
}
func (m *BlockRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BlockRequest.Merge(m, src)
}
func (m *BlockRequest) XXX_Size() int {
	return xxx_messageInfo_BlockRequest.Size(m)
}
func (m *BlockRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_BlockRequest.DiscardUnknown(m)
}

var xxx_messageInfo_BlockRequest proto.InternalMessageInfo

func (m *BlockRequest) GetForceHash() string {
	if m != nil {
		return m.ForceHash
	}
	return ""
}

type BlockResponse struct {
	Hash                 string   `protobuf:"bytes,1,opt,name=Hash,proto3" json:"Hash,omitempty"`
	HashEpoch            string   `protobuf:"bytes,2,opt,name=HashEpoch,proto3" json:"HashEpoch,omitempty"`
	Nonce                string   `protobuf:"bytes,3,opt,name=Nonce,proto3" json:"Nonce,omitempty"`
	CreatedAt            string   `protobuf:"bytes,4,opt,name=CreatedAt,proto3" json:"CreatedAt,omitempty"`
	PrevHash             string   `protobuf:"bytes,5,opt,name=PrevHash,proto3" json:"PrevHash,omitempty"`
	Forger               string   `protobuf:"bytes,6,opt,name=Forger,proto3" json:"Forger,omitempty"`
	ValidatorForge       string   `protobuf:"bytes,7,opt,name=ValidatorForge,proto3" json:"ValidatorForge,omitempty"`
	Current              string   `protobuf:"bytes,8,opt,name=Current,proto3" json:"Current,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BlockResponse) Reset()         { *m = BlockResponse{} }
func (m *BlockResponse) String() string { return proto.CompactTextString(m) }
func (*BlockResponse) ProtoMessage()    {}
func (*BlockResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_b18e8782a71b262f, []int{1}
}

func (m *BlockResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BlockResponse.Unmarshal(m, b)
}
func (m *BlockResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BlockResponse.Marshal(b, m, deterministic)
}
func (m *BlockResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BlockResponse.Merge(m, src)
}
func (m *BlockResponse) XXX_Size() int {
	return xxx_messageInfo_BlockResponse.Size(m)
}
func (m *BlockResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_BlockResponse.DiscardUnknown(m)
}

var xxx_messageInfo_BlockResponse proto.InternalMessageInfo

func (m *BlockResponse) GetHash() string {
	if m != nil {
		return m.Hash
	}
	return ""
}

func (m *BlockResponse) GetHashEpoch() string {
	if m != nil {
		return m.HashEpoch
	}
	return ""
}

func (m *BlockResponse) GetNonce() string {
	if m != nil {
		return m.Nonce
	}
	return ""
}

func (m *BlockResponse) GetCreatedAt() string {
	if m != nil {
		return m.CreatedAt
	}
	return ""
}

func (m *BlockResponse) GetPrevHash() string {
	if m != nil {
		return m.PrevHash
	}
	return ""
}

func (m *BlockResponse) GetForger() string {
	if m != nil {
		return m.Forger
	}
	return ""
}

func (m *BlockResponse) GetValidatorForge() string {
	if m != nil {
		return m.ValidatorForge
	}
	return ""
}

func (m *BlockResponse) GetCurrent() string {
	if m != nil {
		return m.Current
	}
	return ""
}

func init() {
	proto.RegisterType((*BlockRequest)(nil), "BlockRequest")
	proto.RegisterType((*BlockResponse)(nil), "BlockResponse")
}

func init() {
	proto.RegisterFile("block_query.proto", fileDescriptor_b18e8782a71b262f)
}

var fileDescriptor_b18e8782a71b262f = []byte{
	// 257 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x5c, 0x90, 0x4f, 0x4b, 0xc3, 0x40,
	0x10, 0xc5, 0x4d, 0x4d, 0xd3, 0x66, 0xb4, 0x05, 0x07, 0x91, 0xa5, 0x78, 0x90, 0x1c, 0xc4, 0x43,
	0xc9, 0x41, 0x8f, 0x9e, 0x6c, 0x31, 0xe8, 0x45, 0xb4, 0x07, 0x0f, 0x5e, 0x24, 0x7f, 0x06, 0x5b,
	0x2c, 0x99, 0x74, 0xb2, 0x11, 0xfc, 0xcc, 0x7e, 0x09, 0xd9, 0x49, 0x8d, 0xd5, 0xd3, 0xee, 0xfb,
	0xbd, 0x37, 0xb3, 0xec, 0x83, 0xa3, 0x6c, 0xcd, 0xf9, 0xfb, 0xeb, 0xa6, 0x21, 0xf9, 0x8c, 0x2b,
	0x61, 0xcb, 0xd1, 0x14, 0x0e, 0x67, 0x0e, 0x2e, 0x68, 0xd3, 0x50, 0x6d, 0xf1, 0x14, 0xc2, 0x84,
	0x25, 0xa7, 0xbb, 0xb4, 0x5e, 0x1a, 0xef, 0xcc, 0xbb, 0x08, 0x17, 0xbf, 0x20, 0xfa, 0xf2, 0x60,
	0xb4, 0x8d, 0xd7, 0x15, 0x97, 0x35, 0x21, 0x82, 0xbf, 0x13, 0xd5, 0xbb, 0xdb, 0xe1, 0xce, 0xdb,
	0x8a, 0xf3, 0xa5, 0xe9, 0xb5, 0x3b, 0x3a, 0x80, 0xc7, 0xd0, 0x7f, 0xe0, 0x32, 0x27, 0xb3, 0xaf,
	0x4e, 0x2b, 0xdc, 0xcc, 0x5c, 0x28, 0xb5, 0x54, 0xdc, 0x58, 0xe3, 0xb7, 0x33, 0x1d, 0xc0, 0x09,
	0x0c, 0x1f, 0x85, 0x3e, 0xf4, 0xa5, 0xbe, 0x9a, 0x9d, 0xc6, 0x13, 0x08, 0x12, 0x96, 0x37, 0x12,
	0x13, 0xa8, 0xb3, 0x55, 0x78, 0x0e, 0xe3, 0xe7, 0x74, 0xbd, 0x2a, 0x52, 0xcb, 0xa2, 0xc8, 0x0c,
	0xd4, 0xff, 0x47, 0xd1, 0xc0, 0x60, 0xde, 0x88, 0x50, 0x69, 0xcd, 0x50, 0x03, 0x3f, 0xf2, 0xf2,
	0x1a, 0x0e, 0xee, 0xf5, 0xb7, 0x4f, 0xae, 0x30, 0x9c, 0x42, 0x98, 0xac, 0xca, 0x42, 0x09, 0x8e,
	0xe2, 0xdd, 0xda, 0x26, 0xe3, 0xf8, 0x4f, 0x2d, 0xd1, 0xde, 0xcc, 0x7f, 0xe9, 0x55, 0x59, 0x16,
	0x68, 0xcb, 0x57, 0xdf, 0x01, 0x00, 0x00, 0xff, 0xff, 0xcb, 0x54, 0xd1, 0x42, 0x7a, 0x01, 0x00,
	0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// IBlockQueryClient is the client API for IBlockQuery service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type IBlockQueryClient interface {
	FindBlock(ctx context.Context, in *BlockRequest, opts ...grpc.CallOption) (*BlockResponse, error)
}

type iBlockQueryClient struct {
	cc grpc.ClientConnInterface
}

func NewIBlockQueryClient(cc grpc.ClientConnInterface) IBlockQueryClient {
	return &iBlockQueryClient{cc}
}

func (c *iBlockQueryClient) FindBlock(ctx context.Context, in *BlockRequest, opts ...grpc.CallOption) (*BlockResponse, error) {
	out := new(BlockResponse)
	err := c.cc.Invoke(ctx, "/IBlockQuery/FindBlock", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IBlockQueryServer is the server API for IBlockQuery service.
type IBlockQueryServer interface {
	FindBlock(context.Context, *BlockRequest) (*BlockResponse, error)
}

// UnimplementedIBlockQueryServer can be embedded to have forward compatible implementations.
type UnimplementedIBlockQueryServer struct {
}

func (*UnimplementedIBlockQueryServer) FindBlock(ctx context.Context, req *BlockRequest) (*BlockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindBlock not implemented")
}

func RegisterIBlockQueryServer(s *grpc.Server, srv IBlockQueryServer) {
	s.RegisterService(&_IBlockQuery_serviceDesc, srv)
}

func _IBlockQuery_FindBlock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BlockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IBlockQueryServer).FindBlock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IBlockQuery/FindBlock",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IBlockQueryServer).FindBlock(ctx, req.(*BlockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _IBlockQuery_serviceDesc = grpc.ServiceDesc{
	ServiceName: "IBlockQuery",
	HandlerType: (*IBlockQueryServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "FindBlock",
			Handler:    _IBlockQuery_FindBlock_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "block_query.proto",
}
